# Uses of Class
net.shibboleth.idp.authn.spnego.impl.SPNEGOContext

Packages that use SPNEGOContext
Package
Description
net.shibboleth.idp.authn.spnego.impl
Implementation of SPNEGO authentication flow.

## Uses of SPNEGOContext in net.shibboleth.idp.authn.spnego.impl

Methods in net.shibboleth.idp.authn.spnego.impl that return SPNEGOContext
Modifier and Type
Method
Description
`private SPNEGOContext`
SPNEGOAuthnController.`getSPNEGOContext(ProfileRequestContext prc)`
Navigate to the `SPNEGOContext` in the context tree.
Methods in net.shibboleth.idp.authn.spnego.impl with parameters of type SPNEGOContext
Modifier and Type
Method
Description
`protected GSSContextAcceptor`
SPNEGOAuthnController.`createGSSContextAcceptor(SPNEGOContext spnegoCtx)`
Create a new `GSSContextAcceptor` object.